Skip to main content
Client List Api Keys
curl --request GET \
  --url https://agents-api.kolena.com/api/v1/client/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "api_keys": [
    {
      "id": "<string>",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "status": "active"
    }
  ],
  "total_pages": 123,
  "page_number": 123,
  "page_size": 123
}
Rate Limit: This endpoint is limited to requests per minute per user.
Only keys belonging to the authenticating user are returned. Users cannot see keys from other users.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>. The <token> represents your API key, which must be acquired from the Kolena platform.

Query Parameters

page_number
integer
default:0

Optionally specify the index of the API keys page to fetch.

Required range: x >= 0
page_size
integer
default:50

Optionally specify the maximum number of API keys to fetch.

Required range: 0 <= x <= 1000

Response

Successful Response

api_keys
ApiKeyInfo · object[]
required

The fetched page of API keys.

total_pages
integer
required

The total number of pages of API keys. Use the request arguments page_number and page_size to control which API keys are fetched.

page_number
integer
required

The number of the fetched page.

page_size
integer
required

The page size, i.e. number of API keys, fetched.